<?php

	class App {

		public $var = 'defo';
		
		public function __construct() {
			
			echo $this->var;
		}

		public function test(int $param = 0): string {

			if ($param === 1) {
				$this->var = "level-1";
			}

			if ($param === 2) {
				$this->var = "level-2";
			}

			return $this->var;
		}

	}

	$app = new App();
	echo $app->test(2);

?>